.Shelf {
    margin: 0 auto 16px;
    width: 1366px;
}

.Shelf > div {
    /* background: red; */
    --gap: 108px;
    display: inline-flex;
    flex-wrap: wrap;
    margin: 0 0 0 calc(-1 * var(--gap));
    width: calc(100% + var(--gap));
}

.Shelf > div > div {
    margin: 30px 0 0 var(--gap);
    width:260px;
    height:320px;
    flex-direction: column;
    align-items: start;
    justify-content: flex-start;
    padding:2px;
    cursor: pointer;
}

.Shelf > div > div > span:first-of-type {
    margin-top:8px;
}

.Shelf > div > div > span {
    opacity: 0.6;
    margin-bottom:8px;
    transition: all 200ms ease-in-out;
}

.Shelf > h2 {
    margin-left: 0;
}

.Shelf > div > div:hover h2 {
    text-decoration: underline;
    color: #234361;
}

.Shelf > div > div:hover span {
    opacity: 1;
}

.Shelf .Shelf-Image {
    width: 100%;
    height: 150px;
    background-size: cover;
    background-position: center center;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom:4px;
}

.Shelf .Shelf-Tags {
    display: inline;
}

.Shelf .Progress {
    margin-bottom:8px;
}


.Shelf .badge-course {
    margin-bottom: 8px;
}

@media screen and (max-width: 1500px) {
    .Shelf {
        max-width: 1000px;
    }
} 

@media screen and (max-width: 1120px) {
    .Shelf {
        max-width: 640px;
    }
} 


@media screen and (max-width: 700px) {
    .Shelf {
        width: auto;
        max-width: 100%;
        margin: 0 32px;
    }

    .Shelf > div  {
        justify-content: center;
    }

    .Shelf > div > div {
        width: 100%;
        height:470px;
    }

    .Shelf .Shelf-Image { 
        height:300px;
    }

    .Shelf > div > div > h2 {
        font-size: 1rem;
        line-height: 1.4rem;
    }

    .Shelf > div > div > span {
        font-size: 1rem;
    }

    .Shelf > h2 {
        font-size: 1.4rem;
    }
} 

